NAUTY-TWOHAMG(1)

NAME
nauty-twohamg - split quartic graphs into two hamiltonian cycles

SYNOPSIS
twohamg [-sgvq] [-L#] [infile [outfile]]

DESCRIPTION

    Partition quartic graphs into two hamiltonian cycles.

    Output those which cannot be partitioned.

-s  force output to sparse6 format

-g  force output to graph6 format If neither -s or -g are given, the output format is determined by the header or, if there is none, by the format of the first input graph. Also see -S.

    The output file will have a header if and only if the input file does.

-p  Read a cubic graph and use its prism. Vertex i of the input becomes

    vertices 2*i,2*i+1 in the prism.

-x  Test for decompositions using each 2-path

-X  As -x but only output if two 2-paths are missed at some vertex

-y  Test for decompositions using each non-triangular 3-path

-t# With -x and -X, consider only paths with center #

    With -y, consider only paths starting at #

-Y  With -p, only consider paths whose central edge is vertical

-v  Give a partition for those graphs who have one and a message for those which don't. With -x, list exceptional 2-paths.

-L# Limit to 1000*# iterations; write with message if timeout.

    Graphs that time out are written to the output.

-q  suppress auxiliary information